## Script (Python) "getLogData"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
"""
return logfile entries
"""

wtool = context.waeup_tool

# Default values...
filename = "event.log"
numlines = 30

# Validate posted vars...
request = container.REQUEST
if 'filename' in request.keys():
    if request['filename'] in ['event.log','Z2.log']:
        filename = request['filename']

if 'numlines' in request.keys():
    try:
        reqlines = int(request['numlines'])
        if reqlines > 0 and reqlines < 1000:
            numlines = reqlines
    except:
        pass

return { 'filename' : filename,
         'numlines' : numlines,
         'lines' : wtool.getLogfileLines(filename, numlines)
       }
